## BtPlaybackControllerSocket BtPlaybackControllerSocket — sockets based playback controller |

## Synopsis

    #include "bt-edit.h"

                        BtPlaybackControllerSocket;
    BtPlaybackControllerSocket * bt_playback_controller_socket_new
                                                            (const BtEditApplication *app);

## Object Hierarchy

      GObject
       +----BtPlaybackControllerSocket

## Properties

      "app"                      BtEditApplication*    : Read / Write / Construct Only

## Description

Allows the coherence upnp backend for buzztard to remote control and query buzztard-edit.

Function can be tested doing "netcat -n 127.0.0.1 7654".

## Details

### BtPlaybackControllerSocket

    typedef struct _BtPlaybackControllerSocket BtPlaybackControllerSocket;

the root window for the editor application

### bt_playback_controller_socket_new ()

    BtPlaybackControllerSocket * bt_playback_controller_socket_new
                                                            (const BtEditApplication *app);

Create a new instance

`app` : | the application to create the controller for
Returns : | the new instance or `NULL` in case of an error

## Property Details

### The `"app"` property

      "app"                      BtEditApplication*    : Read / Write / Construct Only

Set application object, the dialog belongs to.